%Geschwindigkeitsregelung
%geschw1_PWM_m.m, geschw1_PWM.mdl

cla, clf, clc

KS = 5.0; Tu = 1.0; Tg = 4.0;
T  = 0.1; KSt = 1.0;
%Takahashi
KR = (T / KSt) * 1.2 * Tg / (KS * (Tu + T));
TN = 2.0 * (Tu + T/2)^2 / (Tu + T);
TV = 0.5 * (Tu + T);
%PID-Regler nach Takahashi
b0 =  KR * (1 + T/(2*TN) + TV/T);
b1 = -KR * (1 - T/(2*TN) + 2*TV/T);
b2 =  KR * TV/T;

%PWM-Ansteuerung
ypunkt_max = 6.0;

sim('geschw1_PWM');
plot (x.time, x.signals.values)
grid on, hold on
title ('Geschwindigkeitsalgorithmus mit PWM-Ansteuerung')
xlabel ('Zeit  t / s');
ylabel ('Regelgre  x(t)');

figure (2)
plot([-0.01 0],[0 0], 'LineWidth',2)
hold on
plot([0 0],[0 6], 'LineWidth',2)
plot (ypunkt_PWM.time, ypunkt_PWM.signals.values, 'LineWidth',2)
axis ([-0.01 0.31 -7 7])
grid on
title ('Geschwindigkeitsalgorithmus mit PWM-Ansteuerung')
xlabel ('Zeit  t / s');
ylabel ('ypunkt_P_W_M(t)');
