	%MATLAB Script-File: D_ZUDR1_pol.m
	%Digitale Zustands-Drehzahlregelung

	%Pol-Nullstellenplne
	clf
	TM=0.02; TES=0.0015; 		%Streckenparameter
	KS1=0.3; KS2=1;
	A=[-1/TM, KS2/TM;				%Systemmatrix
    0, -1/TES];						%Regelstrecke
	B=[0, -KS2/TM; 				%Eingangsmatrix Strecke:		
    KS1/TES, 0];					%MMs, ML
	cT=[1, 0];						%Ausgangsvektor
	d=0;								%Durchgangsfaktor
	a_Strecke=ss(A,B,cT,d);		%Zustandsmodell der Strecke
   
   subplot(221), axis([-400, 0, -400, 400]), axis('equal'), 
   pzmap(a_Strecke), sgrid
   title('Regelstrecke')
   xlabel('Re{s}')
   ylabel('Im{s}')
   
   T=[0.0001, 0.001];			%Abtastzeit
   spZ1=-1/(2*TES)+j/(2*TES);	%Vorgabepole s-Ebene
   spZ2=-1/(2*TES)-j/(2*TES);	%Vorgabepole s-Ebene
   
   subplot(222), axis([-400, 0, -400, 400]), axis('equal'), 
   pzmap(zpk([],[spZ1, spZ2], 1)), sgrid
   title('analoge Regelung')
   xlabel('Re{s}')
   ylabel('Im{s}')
   
   for i=1:2
   l=0:T(i):0.02;					%Anzahl Elemente des Zeitvektors
   d_Strecke=c2d(a_Strecke,T(i));%Zeitdiskretes Zustandsmodell S.
   [d_A,d_B,d_c,d_d,T(i)]=ssdata(d_Strecke);

   d_spZ1=exp(spZ1*T(i));		%Vorgabepole z-Ebene
   d_spZ2=exp(spZ2*T(i));		%Vorgabepole z-Ebene
   d_poleZ=[d_spZ1,d_spZ2];
   
   d_rR=acker(d_A,d_B(:,1),d_poleZ);%Polvorgabe zeitdiskret
   d_rR=-d_rR;						%Rckfhrvektor zeitdiskret
   d_AR=d_A+d_B(:,1)*d_rR;		%Systemmatrix der Zeitdiskr. R.
   vw=inv(d_c*inv(eye(2,2)-d_AR)*d_B(:,1)); %Vorfilter
   d_ZU=ss(d_AR,vw*d_B(:,1),d_c,d_d(1),T(i));
   switch i
      case 1
      subplot(223), axis([-1, 1, -1, 1]), axis('equal'), pzmap(d_ZU), zgrid
      hold on
      title('digitale Regelung, T=0.1 ms')
      xlabel('Re{z}')
      ylabel('Im{z}')
      otherwise
      subplot(224), axis([-1, 1, -1, 1]), axis('equal'), pzmap(d_ZU), zgrid
      hold on
      title('digitale Regelung, T=1 ms')
      xlabel('Re{z}')
      ylabel('Im{z}')
   end
   end
