%MATLAB Script-File anstieg_165.m
%Einheits-Anstiegsantwortfunktion fr PT1- und PT2-Element
clf
hold on                    %Kurve nicht berschreiben
grid on                    %kartesische Gitterlinien
w0=0.5; D=0.25; KP1=1; T1=4; %Parameter

numG1=KP1; denG1=[T1 1];   %Zhler- u. Nennerpolynom PT1-Element
G1=tf(numG1,denG1);		   %bertragungsfunktion G1(s)
numG2=w0^2;                %Zhler- u. Nennerpolyn.
denG2=[1 2*D*w0 w0^2];     %des PT2-Elements
G2=tf(numG2,denG2);		   %bertragungsfunktion G2(s)

t=0:0.4:20;                %Vektor der Zeitwerte
xe=t;                      %Einheits-Anstiegsfunktion

xa1=lsim(G1,xe,t);   	   %PT1-Anstiegsantwort
xa2=lsim(G2,xe,t);   	   %PT2-Anstiegsantwort

plot(t,xe,'.')             %Anstiegsfunktion plotten
plot(t,xa1,'-')            %PT1-Anstiegsantwort plotten
plot(t,xa2,'-.')           %PT2-Anstiegsantwort plotten

title('\it{Einheits-Anstiegsantwort}')
xlabel('\it{Zeit t/s}')    %Beschriftung der Abszisse
ylabel('{\itx}_a{\it(t)}') %Beschriftung der Ordinate
legend('\itAnstiegsfunktion','{\itPT}_1{\it-Element}',...
   '{\itPT}_2{\it-Element}') %Legende