%sym_laplace_1.m, LAPLACE-Transformation und 
%LAPLACE-Rcktransformation mit der Symbolic Math Toolbox

clc; clear all
%Definition der symbolischen Variablen mit syms
syms a s t f_s f_t

%Tabelle 3.5-2, Nr. 1, Einheitsimpuls, DIRAC-Impuls
f_t = dirac(t);
f_s = laplace(f_t)              %LAPLACE-Transformation

%Tabelle 3.5-2, Nr. 3
%Einheitssprungfunktion, HEAVISIDE-Funktion
f_s = laplace(heaviside(t))     %LAPLACE-Transformation


%Tabelle 3.5-5, Nr. 165
f_s = laplace(sinh(a*t) - a*t); %LAPLACE-Transformation
f_s = simplify(f_s);            %Vereinfachung
pretty (f_s)                    %Bildschirmdarstellung des Ausdrucks

%Tabelle 3.5-5, Nr. 165 
f_t = ilaplace(f_s);            %LAPLACE-Rcktransformation
f_t = simplify(f_t)

