%MATLAB Script-File dsprung_167.m
%Einheits-Sprungantwortfunktion einer Regelung
clf
hold on
axis([0 40 0 1.1]);				%Skalierung
text(26,0.95,'\it{x(kT)}')		%Bezeichnung der Kurve
text(26,0.28,'\it{y(kT)}')		%Bezeichnung der Kurve

T=1;                            %Abtastzeit
numG=0.04958; denG=[1 -1.607 0.6561]; %Zhler-/Nennerpolynom G(z)
G=tf(numG,denG,T);				%G(z)
l=length(1:T:40);				%Anzahl Elemente des Zeitvektors
[dx,dT]=step(G,l);				%Sprungantwortfolge x(kT)
plot(dT,dx,'o',dT,dx,'-')		%Sprungantwort ausgeben

numGy=[0.042 -0.02547];         %Zhler von Gy(z)
Gy=tf(numGy,denG,T);			%Gy(z)
step(Gy,l);						%Sprungantwortfolge y(kT) als
grid on							%kartesische Gitterlinien							%Treppenfunktion ausgeben
title('\it{Einheits-Sprungantworten der Regelung}') %Titel
xlabel('\it{Zeit kT}')			%Beschriftung der Abszisse
ylabel('\it{y(kT), x(kT)}')     %Beschriftung der Ordinate
